EDIT - feature request #4372

task # 4846 (In Progress): update the integration portals to use the zen_basetheme

Selenium PortalPage class also suitable for zen-basetheme
08/27/2014 02:10 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Priority13 Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.17

Severity: normal

Description

The Selenium PortalPage class can only handle drupal node pages of the cichorieae base theme. It is not suitable for the new
zen-basetheme.

TODO
e FeatureBlock and DruaplBlock DONE

e eu.etaxonomy.dataportal.pages.PortalPage.getPrimaryTabs() DONE
e wait.until(..) in GenericPortalPage.submitQuery(String query) DONE

Associated revisions

Revision 1b1c2bc9 - 06/27/2019 04:59 PM - Andreas Kohlbecker

ref #4372 page elementd DupalBlock and FeatureBlock compatible also with zen theme

Revision ee5d420b - 06/27/2019 05:19 PM - Andreas Kohlbecker

ref #4372 page elements DupalBlock and FeatureBlock compatible also with zen theme - solving problems

Revision cb80ef0b - 07/28/2020 03:48 PM - Andreas Kohlbecker
ref #4372 PortalPage detects zenTheme and adapting getPrimaryTabs()

Revision €249276f - 07/28/2020 04:35 PM - Andreas Kohlbecker
ref #4372 adapting media gallery to zen theme

Revision 6¢281097 - 07/28/2020 05:31 PM - Andreas Kohlbecker
ref #4372 adapting media gallery to zen theme - step 2

Revision eea102b4 - 07/28/2020 05:46 PM - Andreas Kohlbecker

ref #4372 theme dependend font size in test and fixing bug in media gallery cell extraction

Revision a947cfbd - 07/28/2020 06:35 PM - Andreas Kohlbecker

ref #4372 adapting test case to zen theme

Revision 29796987 - 07/31/2020 02:25 PM - Andreas Kohlbecker

ref #4372 detection of main portal page content for zen and garland theme

History

#1 - 04/29/2015 03:35 PM - Andreas Kohlbecker

- Target version set to cdm_dataportal - Next Major Release

#2 - 02/11/2016 03:06 PM - Andreas Kohlbecker

- Keywords set to selenium,test

#3 - 02/28/2019 11:34 AM - Andreas Kohlbecker
- Description updated
- Priority changed from New to Priority12

#4 - 02/28/2019 11:34 AM - Andreas Kohlbecker

- Private changed from Yes to No

#5 - 06/27/2019 05:00 PM - Andreas Kohlbecker

- Status changed from New to In Progress

- Priority changed from Priority12 to Priority13

- Target version changed from cdm_dataportal - Next Major Release to Release 5.8

- % Done changed from 0 to 10

#6 - 06/27/2019 07:01 PM - Andreas Kohlbecker

- Description updated

#7 - 07/19/2019 03:06 PM - Andreas Kohlbecker

- Target version changed from Release 5.8 to Release 5.10

#8 - 09/20/2019 05:37 PM - Andreas Kohlbecker

- Target version changed from Release 5.10 to Release 5.11

#9 - 11/04/2019 04:35 PM - Andreas Kohlbecker

- Target version changed from Release 5.11 to Release 5.12

#10 - 12/03/2019 11:38 AM - Andreas Kohlbecker

- Target version changed from Release 5.12 to Release 5.13

#11 - 03/10/2020 10:02 AM - Andreas Kohlbecker

- Target version changed from Release 5.13 to Release 5.14

#12 - 04/08/2020 05:45 PM - Andreas Kohlbecker

- Target version changed from Release 5.14 to Release 5.15

#13 - 06/09/2020 05:58 PM - Andreas Kohlbecker

- Target version changed from Release 5.15 to Release 5.18

#14 - 07/28/2020 03:48 PM - Andreas Kohlbecker
- % Done changed from 10 to 30

#15 - 07/28/2020 05:33 PM - Andreas Kohlbecker
- Description updated

- % Done changed from 30 to 40

#16 - 07/29/2020 11:00 AM - Andreas Kohlbecker
- Status changed from In Progress to Closed

- % Done changed from 40 to 100

#17 - 08/19/2020 08:40 PM - Andreas Miiller

- Target version changed from Release 5.18 to Release 5.17
